Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029368
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminorhave not tried2015-03-23 12:332016-02-02 09:36
ReporterSandrahuguetView Statuspublic 
Assigned Tojorge-garcia 
PriorityimmediateResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision705131639ec8
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-04-07
Regression introduced in release3.0PR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/e3ae82ec9ee35e6e4bb728a1c2d7975b5572683f [^]
Triggers an Emergency PackNo
Summary

0029368: It is possible to create a payment header when a payment method is disabled in a given financial account

DescriptionIt is possible to create a payment header when a payment method is disabled in a given financial account
Steps To ReproduceGo to Finacial Account
 -Select 'Cuenta de Banco'
Navigate to Payment Method
 -Select 'Transferencia' and set Active='N'
Go to Payment In, and create a new header:
 -Organization: F&B España - Región Sur
 -Received From: Alimentos y Supermercados, S.A
 -Payment Method: Transferencia
 -Deposit To: Cuenta de Banco
Notice that 'Cuenta de Banco' is available and that payment can be saved
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00292523.0PR15Q2 closedumartirena Payment Method combo does not work in Add Payment process definition, when payment method considered as default is unactive 
depends on backport 00294613.0PR15Q1.3 closedjorge-garcia It is possible to create a payment header when a payment method is disabled in a given financial account 
depends on backport 00295043.0PR15Q2 closedjorge-garcia It is possible to create a payment header when a payment method is disabled in a given financial account 
caused by defect 00254833.0PR14Q3 closedpramakrishnan It is not possible to add a validate rule to fin_financial_account_id column of fin_payment table 
related to defect 0030954 closedaferraz NPE in Payment In/Out when selecting a BP with no default payment method or financial account 

-  Notes
(0075963)
jorge-garcia (developer)
2015-03-25 10:15

Test Plan:

Go to Finacial Account
 -Select 'Cuenta de Banco'
Navigate to Payment Method
 -Select 'Transferencia' and set Active='N'

Go to Payment In, and create a new header:
 -Organization: F&B España - Región Sur
 -Received From: Alimentos y Supermercados, S.A
 -Payment Method: Transferencia
Notice that there isn't any available accounts in Deposit To field and the payment can't be saved

Go to Payment Out, and create a new header:
 -Organization: F&B España - Región Sur
 -Paying to: Bebidas Alegres S.L.
 -Payment Method: Transferencia
Notice that there isn't any available accounts in Paying From field and the payment can't be saved
(0076380)
hgbot (developer)
2015-04-08 13:18

Repository: erp/devel/pi
Changeset: 705131639ec85dfac85e3b166bc7729f01f71652
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Apr 07 18:34:36 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/705131639ec85dfac85e3b166bc7729f01f71652 [^]

Fixed issue 29368: It is possible to create a payment in/out

It is possible to create a payment header when a payment method or a financial
account is disabled in a given financial account.

Now only active payment methods of financial accounts and active financial
accounts are showing in the payment in / payment out window.

In addition, if the user selects a business partner in these windows and the
default payment method and/or the default financial account is/are inactive,
a warning message is shown to the user, indicating which one is inactive.

These warning messages are also included in the fix.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src/org/openbravo/erpCommon/ad_callouts/SE_Payment_BPartner.java
---
(0076383)
umartirena (reporter)
2015-04-08 13:20

Code Review + Testing OK
(0076683)
umartirena (reporter)
2015-04-22 10:40

Test Added in Test Link:

https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-8206 [^]
(0077111)
hudsonbot (developer)
2015-05-07 22:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test
(0083814)
hgbot (developer)
2016-02-02 09:36

Repository: tools/automation/int
Changeset: 2a11e59f9177b1bccd568eb3be28213c1a64446c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 29 16:35:16 2015 +0200
URL: http://code.openbravo.com/tools/automation/int/rev/2a11e59f9177b1bccd568eb3be28213c1a64446c [^]

Related to issue 29368: Added some automated tests

---
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/AddPaymentProcess.java
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.java
M src-test/com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentout/PaymentOutTab.java
M src-test/com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.java
M src-test/com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/RegressionSuite.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/build.xml
M src-test/com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/PaymentIn.java
M src-test/com/openbravo/test/integration/erp/testscripts/financial/receivablespayables/transactions/PaymentOut.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRRegression29368In.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/addpayment/testsuites/APR_Regressions/APRRegression29368Out.java
---

- Issue History
Date Modified Username Field Change
2015-03-23 12:33 Sandrahuguet New Issue
2015-03-23 12:33 Sandrahuguet Assigned To => Sandrahuguet
2015-03-23 12:33 Sandrahuguet Modules => Core
2015-03-23 12:33 Sandrahuguet Regression level => Production - Confirmed Stable
2015-03-23 12:33 Sandrahuguet Regression date => 2014-04-07
2015-03-23 12:33 Sandrahuguet Regression introduced in release => 3.0PR14Q3
2015-03-23 12:33 Sandrahuguet Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/e3ae82ec9ee35e6e4bb728a1c2d7975b5572683f [^]
2015-03-23 12:33 Sandrahuguet Triggers an Emergency Pack => No
2015-03-23 12:37 Sandrahuguet Relationship added related to 0029252
2015-03-23 12:38 Sandrahuguet Relationship added caused by 0025483
2015-03-25 10:04 jorge-garcia Status new => scheduled
2015-03-25 10:04 jorge-garcia Assigned To Sandrahuguet => jorge-garcia
2015-03-25 10:15 jorge-garcia Note Added: 0075963
2015-03-30 17:49 umartirena Status scheduled => feedback
2015-03-30 17:49 umartirena Status feedback => new
2015-03-30 17:51 jorge-garcia Status new => scheduled
2015-04-07 10:15 jorge-garcia Status scheduled => feedback
2015-04-07 10:15 jorge-garcia Status feedback => new
2015-04-07 10:16 jorge-garcia Status new => scheduled
2015-04-08 13:18 hgbot Checkin
2015-04-08 13:18 hgbot Note Added: 0076380
2015-04-08 13:18 hgbot Status scheduled => resolved
2015-04-08 13:18 hgbot Resolution open => fixed
2015-04-08 13:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/705131639ec85dfac85e3b166bc7729f01f71652 [^]
2015-04-08 13:20 umartirena Review Assigned To => umartirena
2015-04-08 13:20 umartirena Note Added: 0076383
2015-04-08 13:20 umartirena Status resolved => closed
2015-04-08 13:20 umartirena Fixed in Version => pi
2015-04-22 10:40 umartirena Note Added: 0076683
2015-05-07 22:16 hudsonbot Checkin
2015-05-07 22:16 hudsonbot Note Added: 0077111
2015-09-29 10:41 aferraz Relationship added related to 0030954
2016-02-02 09:36 hgbot Checkin
2016-02-02 09:36 hgbot Note Added: 0083814


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker